<?php

function theme_draw_box( $title, $content )
{
	echo "$content";
}

function theme_draw_box_plain( $title, $content )
{
	echo "<table width=150 border=0 cellpadding=1 cellspacing=0>
<tr><td align=center class=\"plainboxtitle\"><span class=\"plainboxtitle\">$title</span></td></tr><tr><td class=\"plainboxtitle\"><table width=\"100%\" border=0 cellpadding=4 cellspacing=0>
<tr><td align=center class=\"plainboxtext\"><span class=\"plainboxtext\"><p align=\"right\">$content</span></td></tr></table></td></tr></table>";
}

function theme_draw_center_box_open( $title )
{
	echo "<table width=\"94%\" border=0 cellspacing=0 cellpadding=0><tr><td width=8 height=22><img src=\"themes/nt/img/nttopleft.png\" width=8 height=22 alt=\"\" border=0></td><td background=\"themes/nt/img/nttop.png\" align=\"center\" valign=\"middle\" height=22 class=\"boxtitle\"><span class=\"errorBoxContents\">$title</span></td><td width=12 height=22><img src=\"themes/nt/img/nttopright.png\" width=12 height=22 alt=\"\" border=0></td></tr><tr><td background=\"themes/nt/img/ntleft.png\"> </td><td class=\"boxtext\"><span class=\"boxtext\">";
}

function theme_draw_center_box_close()
{
	echo "</span></td><td background=\"themes/nt/img/ntright.png\"> </td></tr><tr><td width=8 height=12><img src=\"themes/nt/img/ntbottomleft.png\" width=8 height=12 alt=\"\" border=0></td><td background=\"themes/nt/img/ntbottom.png\"> </td><td width=12 height=12><img src=\"themes/nt/img/ntbottomright.png\" width=12 height=12 alt=\"\" border=0></td></tr></table>";
}

function theme_draw_center_box( $title, $content )
{
	theme_draw_center_box_open( $title );
	echo "<span class=\"infoBox\"><br>$content<br><br></span>";
	theme_draw_center_box_close();
}

function theme_draw_users_online( $tot_users, $tot_guests )
{
	$content = sprintf( USERS_ONLINE_TEXT, ($tot_users-$tot_guests), $tot_guests, "<a href=\"online.php\">", "</a>" );
	theme_draw_box( USERS_ONLINE,$content);
}

function theme_draw_news_header()
{
	echo "<table width=\"100%\" border=0 cellspacing=0 cellpadding=0><tr><td width=8 height=22><img src=\"themes/nt/img/nttopleft.png\" width=8 height=22 alt=\"\" border=0></td><td background=\"themes/nt/img/nttop.png\" align=\"center\" valign=\"middle\" height=22 class=\"newstitle\"><span class=\"newstitle\">".NEWS_TITLE."</span></td><td width=12 height=22><img src=\"themes/nt/img/nttopright.png\" width=12 height=22 alt=\"\" border=0></td></tr><tr><td background=\"themes/nt/img/ntleft.png\"> </td><td class=\"newstitle\"><table width=\"100%\" border=0 cellpadding=2 cellspacing=0>";
}

function theme_draw_news_item($cod,$date,$title,$user,$image,$text,$full_text,$num_comments)
{
	echo "<tr><td class=\"newsdate\" colspan=2><span class=\"newsdate\">".show_date( $date )."&nbsp;-&nbsp;</span>"
		."<span class=\"newsitemtitle\">$title</span></td>"
		."</tr><tr><td class=\"newsuser\" colspan=2><span class=\"newsuser\">"
		.NEWS_POSTED."$user.</span></td></tr>"
		."<tr><td class=\"newstext\" colspan=2>";
  if(strlen($image)>0 && $image!="none") echo "<img src=\"images/news/$image\" align=left>";
  echo "<span class=\"newstext\">".nl2br($text)
      ."</span></td></tr>\n"
      ."<tr><td class=\"newsuser\">";
  echo "<a href=\"news.php?cod=$cod\" class=\"newsuser\"><img src=\"images/show_comments.png\" border=0 width=16 height=16 align=left> $num_comments ".COMMENTS_NUM."</a>";
  echo "</td><td class=\"newsuser\" align=\"right\">";
  if($full_text) echo "<a href=\"news.php?cod=$cod\" class=\"newsuser\">".NEWS_CLICK_MORE."</a>";
  else echo "&nbsp;";
  echo "</td></tr>";
}

function theme_draw_news_footer()
{
	echo "</table></td><td background=\"themes/nt/img/ntright.png\"> </td></tr><tr><td width=8 height=12><img src=\"themes/nt/img/ntbottomleft.png\" width=8 height=12 alt=\"\" border=0></td><td background=\"themes/nt/img/ntbottom.png\"> </td><td width=12 height=12><img src=\"themes/nt/img/ntbottomright.png\" width=12 height=12 alt=\"\" border=0></td></tr></table>";
}

function theme_draw_news( $row )
{
  theme_draw_news_header();
	echo "<tr><td class=\"newsdate\"><span class=\"newsdate\">".show_date($row["date"])."&nbsp;-&nbsp;</span>"
		."<span class=\"newsitemtitle\">{$row["title"]}</span></td>"
		."</tr><tr><td class=\"newsuser\"><span class=\"newsuser\">"
		.NEWS_POSTED."{$row["name"]}.</span></td></tr>"
		."<tr><td class=\"newstext\">";
  if(strlen($row["image"])>0 && $row["image"]!="none") echo "<img src=\"images/news/{$row["image"]}\" align=left>";
  echo "<span class=\"newstext\">".nl2br($row["text"])."</span>";
  if( strlen($row["full_text"]) > 0 ) echo "<hr><span class=\"newstext\">".nl2br($row["full_text"])
	."</span></td></tr>\n";
  theme_draw_news_footer();
}

function theme_draw_download_header()
{
	theme_draw_center_box_open( DOWNLOAD_TITLE );
	echo "<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>";
	
//	echo "<table width=\"100%\" border=0 cellpadding=1 cellspacing=0 class=\"dltitle\">"
//      ."<tr><td align=center class=\"dltitle\"><span class=\"dltitle\">".DOWNLOAD_TITLE."</span></td></tr>"
//      ."<tr><td class=\"dltitle\"><table width=\"100%\" border=0 cellpadding=2 cellspacing=0>";
}

function theme_draw_download_cat($category_name, $category_descr)
{
    echo "<tr><td class=\"dlcat\" colspan=4><span class=\"dlcat\">$category_name</span></td></tr>\n"
        ."<tr><td class=\"dlcatdescr\" colspan=4><span class=\"dlcatdescr\">$category_descr</span></td></tr>\n"
        ."<tr><td class=\"dlsubtitle\"><a href=\"download.php?ord=0\" class=\"dlsubtitle\">".DOWNLOAD_HEADER_1."</a></td>"
        ."<td class=\"dlsubtitle\"><a href=\"download.php?ord=1\" class=\"dlsubtitle\">".DOWNLOAD_HEADER_2."</a></td>"
        ."<td class=\"dlsubtitle\" align=right><a href=\"download.php?ord=2\" class=\"dlsubtitle\">".DOWNLOAD_HEADER_3."</a></td>"
        ."<td class=\"dlsubtitle\" align=right><a href=\"download.php?ord=3\" class=\"dlsubtitle\">".DOWNLOAD_HEADER_4."</a></td></tr>";
}

function theme_draw_download_item($cod,$filename,$date,$size,$count)
{
	echo "<tr><td class=\"dlitem\"><a href=\"download.php?file=$cod\" class=\"dlitem\">"
		."$filename</a></td>"
		."<td class=\"dlitem\"><span class=\"dlitem\">".show_date($date)."</span></td>"
		."<td class=\"dlitem\" align=right><span class=\"dlitem\">$size</span></td>"
		."<td class=\"dlitem\" align=right><span class=\"dlitem\">$count</span></td></tr>\n";
}

function theme_draw_download_footer()
{
	echo "</table>";
	theme_draw_center_box_close();
//	echo "</table></td></tr></table>";
}

function theme_draw_forums_header()
{
	theme_draw_center_box_open( FORUM_TITLE );
echo "<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
	."<tr><td class=\"forumstitle\" width=\"35%\"><span class=\"forumstitle\">".FORUM_CAT_1."</span></td>"
	."<td class=\"forumstitle\" width=\"65%\"><span class=\"forumstitle\">".FORUM_CAT_2."</span></td>"
	."</tr>\n";

//echo "<table width=\"100%\" border=0 cellpadding=1 cellspacing=0 class=\"forumstitle\">"
//	."<tr><td align=center class=\"forumstitle\"><span class=\"forumstitle\">".FORUM_TITLE."</span></td></tr><tr><td //class=\"forumstitle\">"
//	."<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
//	."<tr><td class=\"forumstitle\" width=\"35%\"><span class=\"forumstitle\">".FORUM_CAT_1."</span></td>"
//	."<td class=\"forumstitle\" width=\"65%\"><span class=\"forumstitle\">".FORUM_CAT_2."</span></td>"
//	."</tr>\n";
}

function theme_draw_forumsitem($item,$cod,$title,$descr)
{
	echo "<tr><td class=\"forumsitem{$item}\">"
		."<a href=\"forum.php?forum=$cod\" class=\"forumsitem{$item}\">$title</a></td>"
		."<td class=\"forumsitem{$item}\"><span class=\"forumsitem{$item}\">$descr"
		."</span></td></tr>\n";
}

function theme_draw_forums_footer()
{
	echo "</table>";
	theme_draw_center_box_close();
//	echo "</table></td></tr></table>";
}

function theme_draw_msg_header($title)
{
	theme_draw_center_box_open( FORUM_TITLE );
	echo "<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
		."<tr><td class=\"msgsubtitle\" width=\"20%\"><span class=\"msgsubtitle\">".MSG_HEADER_1."</span></td>"
		."<td class=\"msgsubtitle\" width=\"40%\"><span class=\"msgsubtitle\">".MSG_HEADER_2."</span></td>"
		."<td class=\"msgsubtitle\" width=\"25%\"><span class=\"msgsubtitle\">".MSG_HEADER_3."</span></td>"
		."<td class=\"msgsubtitle\" width=\"15%\" align=\"right\"><span class=\"msgsubtitle\">".MSG_HEADER_4
		."</span></td></tr>\n";
/*echo "<table width=\"100%\" border=0 cellpadding=1 cellspacing=0 class=\"msgtitle\">"
	."<tr><td align=center class=\"msgtitle\"><span class=\"msgtitle\">".FORUM_TITLE." - $title</span></td></tr><tr><td class=\"msgtitle\">"
	."<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
	."<tr><td class=\"msgsubtitle\" width=\"20%\"><span class=\"msgsubtitle\">".MSG_HEADER_1."</span></td>"
	."<td class=\"msgsubtitle\" width=\"40%\"><span class=\"msgsubtitle\">".MSG_HEADER_2."</span></td>"
	."<td class=\"msgsubtitle\" width=\"25%\"><span class=\"msgsubtitle\">".MSG_HEADER_3."</span></td>"
	."<td class=\"msgsubtitle\" width=\"15%\" align=\"right\"><span class=\"msgsubtitle\">".MSG_HEADER_4."</span></td>"
	."</tr>\n";*/
}

function theme_draw_msgitem($item,$forum,$cod,$date,$title,$user,$replies,$text)
{
	echo "<tr><td class=\"msgitem{$item}\"><span class=\"msgitem{$item}\">".show_date($date)."</span></td>"
		."<td class=\"msgitem{$item}\">"
		."<a href=\"forum.php?forum=$forum&msg=$cod\" class=\"msgitem{$item}\">$title</a></td>"
		."<td class=\"msgitem{$item}\"><span class=\"msgitem{$item}\">$user</span></td>"
		."<td class=\"msgitem{$item}\" align=\"right\"><span class=\"msgitem{$item}\">$replies</span></td></tr>"
		."<tr><td class=\"msgtext\" colspan=4><span class=\"msgtext\">".nl2br($text)."</span></td></tr>\n";
}

function theme_draw_msg_footer()
{
	echo "</table>";
	theme_draw_center_box_close();
//	echo "</table></td></tr></table>";
}

function theme_draw_forum_msg($forumcod, $inreplyto,$title="")
{
	if( $inreplyto > 0 )
	{
		$button = "Responder a Mensagem";
		$title_box = "Responder a Mensagem";
	} else {
		$button = "Inserir Mensagem";
		$title_box = "Inserir nova Mensagem";
	}
    // netscape needs an action, and because that I need to
    // store the selected forum
	$content = "<form action=\"forum.php\" method=\"post\">
    <input type=\"hidden\" name=\"msg_forum\" value=\"$forumcod\">
	<input type=\"hidden\" name=\"msg_replyto\" value=\"$inreplyto\">
	Titulo:<br>
	<input type=\"text\" name=\"msgtitle\" size=80 maxlength=80 value=\"$title\"><br>
	Mensagem:<br>
	<textarea cols=80 rows=10 name=\"msgtext\" wrap></textarea><br>
	<input type=\"submit\" name=\"submit_msg\" value=\"$button\">
	</form>";
	theme_draw_center_box( $title_box, $content );
}

function theme_draw_umsg_header($username)
{
	theme_draw_center_box_open( UMSG_HEADER );
	echo "<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
	."<tr><td class=\"msgsubtitle\" width=\"23%\"><span class=\"msgsubtitle\">".UMSG_HEADER_1."</span></td>"
	."<td class=\"msgsubtitle\" width=\"45%\"><span class=\"msgsubtitle\">".UMSG_HEADER_2."</span></td>"
	."<td class=\"msgsubtitle\" width=\"20%\"><span class=\"msgsubtitle\">".UMSG_HEADER_3."</span></td>"
	."<td class=\"msgsubtitle\" width=\"7%\" align=\"right\"><span class=\"msgsubtitle\">".UMSG_HEADER_4."</span></td>"
	."<td class=\"msgsubtitle\" width=\"5%\" align=\"right\"><span class=\"msgsubtitle\">&nbsp;</span></td>"
	."</tr>\n";

/*
echo "<table width=\"100%\" border=0 cellpadding=1 cellspacing=0 class=\"msgtitle\">"
	."<tr><td align=center class=\"msgtitle\"><span class=\"msgtitle\">".UMSG_HEADER."$username</span></td></tr><tr><td class=\"msgtitle\">"
	."<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>"
	."<tr><td class=\"msgsubtitle\" width=\"23%\"><span class=\"msgsubtitle\">".UMSG_HEADER_1."</span></td>"
	."<td class=\"msgsubtitle\" width=\"45%\"><span class=\"msgsubtitle\">".UMSG_HEADER_2."</span></td>"
	."<td class=\"msgsubtitle\" width=\"20%\"><span class=\"msgsubtitle\">".UMSG_HEADER_3."</span></td>"
	."<td class=\"msgsubtitle\" width=\"7%\" align=\"right\"><span class=\"msgsubtitle\">".UMSG_HEADER_4."</span></td>"
	."<td class=\"msgsubtitle\" width=\"5%\" align=\"right\"><span class=\"msgsubtitle\">&nbsp;</span></td>"
	."</tr>\n";
*/
}

function theme_draw_umsgitem($item,$cod,$username,$date,$title,$msg_read,$text="")
{
	echo "<tr><td class=\"msgitem{$item}\"><span class=\"msgitem{$item}\">"
		."<a href=\"messages.php?add=$username\" class=\"msgitem{$item}\">$username</a></span></td>"
		."<td class=\"msgitem{$item}\">"
		."<a href=\"messages.php?msg=$cod\" class=\"msgitem{$item}\">$title</a></td>"
		."<td class=\"msgitem{$item}\"><span class=\"msgitem{$item}\">".show_date($date)."</span></td>"
		."<td class=\"msgitem{$item}\" align=\"right\"><span class=\"msgitem{$item}\">";
	if( $msg_read != 0 ) print "X";
	else print "&nbsp;";
	echo "</span></td><td class=\"msgitem{$item}\" align=\"left\"><a href=\"messages.php?del=$cod\" class=\"msgitem{$item}\">".UMSG_HEADER_5."</a>"
		."</td></tr>\n";
	if( strlen($text) > 0 )
	{
		echo "<tr><td class=\"msgtext\" colspan=5><span class=\"msgtext\">".nl2br($text)."</span></td></tr>\n";
	}
}

function theme_draw_umsg_footer()
{
	echo "</table>";
	theme_draw_center_box_close();
//	echo "</table></td></tr></table>";
}

function theme_draw_user_msg($user_to=0,$title="")
{
	global $session;
	if( $user_to > 0 )
	{
		$button = UMSG_SEND_BUTTON_R;
		$title_box = UMSG_SEND_BUTTON_RBOX;
	} else {
		$button = UMSG_SEND_BUTTON_S;
		$title_box = UMSG_SEND_BUTTON_SBOX;
	}

	$content = "<form onSubmit=\"return form_validator(this)\" action=\"messages.php\" method=\"post\">";
	
	if( $user_to <= 0 )
	{
		$content .= UMSG_SEND_TO."&nbsp;<select name=\"msg_to\">";
		$ret = mysql_query( "select B.*, U.name from wt_user_book B left outer join wt_users U on (B.cod_user = U.uid) where B.user = {$session["uid"]} order by U.name" );
		while( $row=mysql_fetch_array($ret) )
		{
			$content .= "<option value=\"".$row["cod_user"]."\">".$row["name"]."</option>";
		}
		mysql_free_result( $ret );
		$content .= "</select>&nbsp;".UMSG_SEND_ADD_USER;
	} else {
		$content .= "<input type=\"hidden\" name=\"msg_to\" value=\"$user_to\">";
	}
	$content .= "<br>".UMSG_SEND_TITLE."<br>
	<input type=\"text\" name=\"msgtitle\" size=40 maxlength=100 value=\"$title\"><br>"
	.UMSG_SEND_TEXT."<br>
	<textarea cols=100 rows=20 name=\"msgtext\"></textarea><br>
	<input type=\"submit\" name=\"submit_msg\" value=\"$button\">
	</form>";
	theme_draw_center_box( $title_box, $content );
}

function theme_draw_faq_form($topic)
{
    theme_draw_center_box_open( "Inserir Questo" );
    echo "<form method=\"post\"><input type=hidden name=\"faq_topic\" value=\"$topic\">"
        ."<span class=\"boxtext\">Questo:</span><br><textarea cols=80 rows=10 name=\"faq_question\" wrap></textarea>"
        ."<br><br><span class=\"boxtext\">Descrio:</span><br>"
        ."<textarea cols=80 rows=10 name=\"faq_answer\" wrap></textarea><br><br>"
        ."<input type=submit name=\"submit_faq\" value=\"Post faq\"></form>";
    theme_draw_center_box_close();
}

function theme_draw_comments_header()
{
    theme_draw_center_box_open( COMMENTS_TITLE );
	echo "<table width=\"100%\" border=0 cellpadding=2 cellspacing=0>";
//    echo "<table width=\"100%\" border=0 cellpadding=1 cellspacing=0 class=\"remtitle\"><tr><td align=center class=\"remtitle\"><span class=\"remtitle\">".COMMENTS_TITLE."</span></td></tr><tr><td class=\"remtitle\"><table width=\"100%\" border=0 cellpadding=2 cellspacing=0>";
}

function theme_draw_comments( &$row )
{
  echo "<tr><td class=\"remdate\">";
  if( check_user_class( "superuser" ) )
  {
    echo "<a href=\"comments.php?del={$row["cod"]}\"><img src=\"images/del.png\" width=8 height=8 border=0 align=right></a>";
  }
  echo "<span class=\"remdate\">".show_date($row["date"])."&nbsp;-&nbsp;</span>"
      ."<span class=\"remuser\">{$row["name"]}</span></td></tr>"
      ."<tr><td class=\"remtext\"><span class=\"remtext\">".nl2br($row["comment"])
      ."</span></td></tr>\n";
}

function theme_draw_comments_form( $type, $link )
{
  echo "<tr><td class=\"remdate\">&nbsp;</td></tr>"
      ."<tr><td class=\"remtext\">"
      ."<form method=\"post\" action=\"comments.php\"><input type=hidden name=\"rem_type\" value=\"$type\">"
      ."<input type=hidden name=\"rem_link\" value=\"$link\">"
      ."<span class=\"remtext\">".COMMENTS_FIELD."</span><br>"
      ."<textarea cols=80 rows=10 name=\"rem_text\" wrap></textarea><br><br>"
      ."<input type=submit name=\"submit_rem\" value=\"".COMMENTS_POST."\"></form>"
      ."</td></tr>";
}

function theme_draw_comments_footer()
{
	echo "</table>";
	theme_draw_center_box_close();
//	echo "</table></td></tr></table>";
}

function theme_draw_style_box()
{
  global $styles,$session;
  $stTot = count( $styles );
  $txt = "";
  for($i=0; $i<$stTot; $i++ )
  {
    $txt .= "<a href=\"index.php?style=$i\">".$styles[$i][0]."</a><br>";
  }
  theme_draw_box( STYLE_SELECT, $txt );
}

function alt_style( $cod )
{
  global $styles,$session;
  $stTot = count( $styles );
  if( $cod >= $stTot ) $cod = 0;
  
  $session["style"] = $styles[$cod][1];
}

global $styles;
$styles = array( 
  array( "", "style.css" )
);

?>